@ECHO OFF
ECHO +====================================================================+
ECHO + Build ReDMCSB executable files for FM-Towns                        +
ECHO +====================================================================+
ECHO +====================================================================+>>\BUILD\MKFF.LOG
ECHO + Build ReDMCSB executable files for FM-Towns                        +>>\BUILD\MKFF.LOG
ECHO +====================================================================+>>\BUILD\MKFF.LOG

CD \HC386\BIN

IF NOT EXIST \SOURCE\EXEID57.TXT GOTO EXEID58
ECHO ----------------------------------------------------------------------
ECHO - Build executable F20M\EDM.EXP
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO - Build executable F20M\EDM.EXP>>\BUILD\MKFF.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile GAMELOOP.C
ECHO ----- F20M\EDM.EXP Compile GAMELOOP.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\GAMELOOP.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\GAMELOOP.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile PROJEXPL.C
ECHO ----- F20M\EDM.EXP Compile PROJEXPL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\PROJEXPL.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\PROJEXPL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile DIALOG.C
ECHO ----- F20M\EDM.EXP Compile DIALOG.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DIALOG.C   -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\DIALOG.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile DUNGEON.C
ECHO ----- F20M\EDM.EXP Compile DUNGEON.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DUNGEON.C  -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\DUNGEON.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile MENUDRAW.C
ECHO ----- F20M\EDM.EXP Compile MENUDRAW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MENUDRAW.C   -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\MENUDRAW.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile ENDGAME.C
ECHO ----- F20M\EDM.EXP Compile ENDGAME.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ENDGAME.C  -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\ENDGAME.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile COMMAND.C
ECHO ----- F20M\EDM.EXP Compile COMMAND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COMMAND.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\COMMAND.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile GROUP.C
ECHO ----- F20M\EDM.EXP Compile GROUP.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\GROUP.C    -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\GROUP.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile MEMORY.C
ECHO ----- F20M\EDM.EXP Compile MEMORY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MEMORY.C   -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\MEMORY.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile LOADSAVE.C
ECHO ----- F20M\EDM.EXP Compile LOADSAVE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\LOADSAVE.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\LOADSAVE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile OBJECT.C
ECHO ----- F20M\EDM.EXP Compile OBJECT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\OBJECT.C   -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\OBJECT.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile ENTRANCE.C
ECHO ----- F20M\EDM.EXP Compile ENTRANCE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ENTRANCE.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\ENTRANCE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile MENU.C
ECHO ----- F20M\EDM.EXP Compile MENU.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MENU.C   -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\MENU.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile IO.C
ECHO ----- F20M\EDM.EXP Compile IO.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IO.C       -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\IO.OBJ       >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile CHAMPION.C
ECHO ----- F20M\EDM.EXP Compile CHAMPION.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CHAMPION.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\CHAMPION.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile DUNVIEW.C
ECHO ----- F20M\EDM.EXP Compile DUNVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DUNVIEW.C  -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\DUNVIEW.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile CHAMDRAW.C
ECHO ----- F20M\EDM.EXP Compile CHAMDRAW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CHAMDRAW.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\CHAMDRAW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile REVIVE.C
ECHO ----- F20M\EDM.EXP Compile REVIVE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\REVIVE.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\REVIVE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile MOVESENS.C
ECHO ----- F20M\EDM.EXP Compile MOVESENS.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MOVESENS.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\MOVESENS.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile COORD.C
ECHO ----- F20M\EDM.EXP Compile COORD.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COORD.C    -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\COORD.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile SOUND.C
ECHO ----- F20M\EDM.EXP Compile SOUND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\SOUND.C    -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\SOUND.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile STARTUP1.C
ECHO ----- F20M\EDM.EXP Compile STARTUP1.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STARTUP1.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\STARTUP1.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile STARTUP2.C
ECHO ----- F20M\EDM.EXP Compile STARTUP2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STARTUP2.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\STARTUP2.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile DATA.C
ECHO ----- F20M\EDM.EXP Compile DATA.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DATA.C     -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\DATA.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile FILE.C
ECHO ----- F20M\EDM.EXP Compile FILE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILE.C     -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\FILE.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile IO2.C
ECHO ----- F20M\EDM.EXP Compile IO2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IO2.C      -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\IO2.OBJ      >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile FLOPPY.C
ECHO ----- F20M\EDM.EXP Compile FLOPPY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLOPPY.C  -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\FLOPPY.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile FONT.C
ECHO ----- F20M\EDM.EXP Compile FONT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FONT.C     -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\FONT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile TEXT.C
ECHO ----- F20M\EDM.EXP Compile TEXT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TEXT.C     -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\TEXT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile TIMELINE.C
ECHO ----- F20M\EDM.EXP Compile TIMELINE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TIMELINE.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\TIMELINE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile BASE.C
ECHO ----- F20M\EDM.EXP Compile BASE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BASE.C     -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\BASE.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile PANEL.C
ECHO ----- F20M\EDM.EXP Compile PANEL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\PANEL.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\PANEL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile CLIKVIEW.C
ECHO ----- F20M\EDM.EXP Compile CLIKVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CLIKVIEW.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\CLIKVIEW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile CLIKMENU.C
ECHO ----- F20M\EDM.EXP Compile CLIKMENU.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CLIKMENU.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\CLIKMENU.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile BLITFILL.C
ECHO ----- F20M\EDM.EXP Compile BLITFILL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLITFILL.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\BLITFILL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile IMAGE2.C
ECHO ----- F20M\EDM.EXP Compile IMAGE2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IMAGE2.C   -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\IMAGE2.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile FILLBOX.C
ECHO ----- F20M\EDM.EXP Compile FILLBOX.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILLBOX.C  -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\FILLBOX.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile BLIT.C
ECHO ----- F20M\EDM.EXP Compile BLIT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLIT.C     -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\BLIT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile FLIPHORI.C
ECHO ----- F20M\EDM.EXP Compile FLIPHORI.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLIPHORI.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\FLIPHORI.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile FLIPVERT.C
ECHO ----- F20M\EDM.EXP Compile FLIPVERT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLIPVERT.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\FLIPVERT.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile BLTSHRNK.C
ECHO ----- F20M\EDM.EXP Compile BLTSHRNK.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLTSHRNK.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\BLTSHRNK.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile DRAWVIEW.C
ECHO ----- F20M\EDM.EXP Compile DRAWVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DRAWVIEW.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\DRAWVIEW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile STRING.C
ECHO ----- F20M\EDM.EXP Compile STRING.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STRING.C   -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\STRING.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile BLITMASK.C
ECHO ----- F20M\EDM.EXP Compile BLITMASK.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLITMASK.C -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\BLITMASK.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile SWSH.C
ECHO ----- F20M\EDM.EXP Compile SWSH.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\SWSH.C     -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\SWSH.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Compile MUSIC.C
ECHO ----- F20M\EDM.EXP Compile MUSIC.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MUSIC.C    -def "EXEID 57" -object \OBJECT\F20M\EDM.EXP\MUSIC.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F20M\EDM.EXP Link
ECHO ----- F20M\EDM.EXP Link>>\BUILD\MKFF.LOG
RUN386 -nocrt 386LINKP @\SOURCE\EDM.LNK >>\BUILD\MKFF.LOG

:EXEID58
IF NOT EXIST \SOURCE\EXEID58.TXT GOTO EXEID60
ECHO ----------------------------------------------------------------------
ECHO - Build executable F20M\JDM.EXP
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO - Build executable F20M\JDM.EXP>>\BUILD\MKFF.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile GAMELOOP.C
ECHO ----- F20M\JDM.EXP Compile GAMELOOP.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\GAMELOOP.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\GAMELOOP.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile PROJEXPL.C
ECHO ----- F20M\JDM.EXP Compile PROJEXPL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\PROJEXPL.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\PROJEXPL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile DIALOG.C
ECHO ----- F20M\JDM.EXP Compile DIALOG.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DIALOG.C   -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\DIALOG.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile DUNGEON.C
ECHO ----- F20M\JDM.EXP Compile DUNGEON.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DUNGEON.C  -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\DUNGEON.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile MENUDRAW.C
ECHO ----- F20M\JDM.EXP Compile MENUDRAW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MENUDRAW.C   -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\MENUDRAW.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile ENDGAME.C
ECHO ----- F20M\JDM.EXP Compile ENDGAME.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ENDGAME.C  -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\ENDGAME.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile COMMAND.C
ECHO ----- F20M\JDM.EXP Compile COMMAND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COMMAND.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\COMMAND.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile GROUP.C
ECHO ----- F20M\JDM.EXP Compile GROUP.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\GROUP.C    -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\GROUP.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile MEMORY.C
ECHO ----- F20M\JDM.EXP Compile MEMORY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MEMORY.C   -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\MEMORY.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile LOADSAVE.C
ECHO ----- F20M\JDM.EXP Compile LOADSAVE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\LOADSAVE.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\LOADSAVE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile OBJECT.C
ECHO ----- F20M\JDM.EXP Compile OBJECT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\OBJECT.C   -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\OBJECT.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile ENTRANCE.C
ECHO ----- F20M\JDM.EXP Compile ENTRANCE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ENTRANCE.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\ENTRANCE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile MENU.C
ECHO ----- F20M\JDM.EXP Compile MENU.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MENU.C   -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\MENU.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile IO.C
ECHO ----- F20M\JDM.EXP Compile IO.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IO.C       -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\IO.OBJ       >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile CHAMPION.C
ECHO ----- F20M\JDM.EXP Compile CHAMPION.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CHAMPION.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\CHAMPION.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile DUNVIEW.C
ECHO ----- F20M\JDM.EXP Compile DUNVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DUNVIEW.C  -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\DUNVIEW.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile CHAMDRAW.C
ECHO ----- F20M\JDM.EXP Compile CHAMDRAW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CHAMDRAW.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\CHAMDRAW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile REVIVE.C
ECHO ----- F20M\JDM.EXP Compile REVIVE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\REVIVE.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\REVIVE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile MOVESENS.C
ECHO ----- F20M\JDM.EXP Compile MOVESENS.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MOVESENS.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\MOVESENS.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile COORD.C
ECHO ----- F20M\JDM.EXP Compile COORD.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COORD.C    -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\COORD.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile SOUND.C
ECHO ----- F20M\JDM.EXP Compile SOUND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\SOUND.C    -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\SOUND.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile STARTUP1.C
ECHO ----- F20M\JDM.EXP Compile STARTUP1.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STARTUP1.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\STARTUP1.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile STARTUP2.C
ECHO ----- F20M\JDM.EXP Compile STARTUP2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STARTUP2.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\STARTUP2.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile DATA.C
ECHO ----- F20M\JDM.EXP Compile DATA.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DATA.C     -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\DATA.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile FILE.C
ECHO ----- F20M\JDM.EXP Compile FILE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILE.C     -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\FILE.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile IO2.C
ECHO ----- F20M\JDM.EXP Compile IO2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IO2.C      -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\IO2.OBJ      >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile FLOPPY.C
ECHO ----- F20M\JDM.EXP Compile FLOPPY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLOPPY.C  -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\FLOPPY.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile FONT.C
ECHO ----- F20M\JDM.EXP Compile FONT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FONT.C     -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\FONT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile TEXT.C
ECHO ----- F20M\JDM.EXP Compile TEXT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TEXT.C     -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\TEXT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile TIMELINE.C
ECHO ----- F20M\JDM.EXP Compile TIMELINE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TIMELINE.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\TIMELINE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile BASE.C
ECHO ----- F20M\JDM.EXP Compile BASE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BASE.C     -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\BASE.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile PANEL.C
ECHO ----- F20M\JDM.EXP Compile PANEL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\PANEL.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\PANEL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile CLIKVIEW.C
ECHO ----- F20M\JDM.EXP Compile CLIKVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CLIKVIEW.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\CLIKVIEW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile CLIKMENU.C
ECHO ----- F20M\JDM.EXP Compile CLIKMENU.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CLIKMENU.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\CLIKMENU.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile BLITFILL.C
ECHO ----- F20M\JDM.EXP Compile BLITFILL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLITFILL.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\BLITFILL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile IMAGE2.C
ECHO ----- F20M\JDM.EXP Compile IMAGE2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IMAGE2.C   -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\IMAGE2.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile FILLBOX.C
ECHO ----- F20M\JDM.EXP Compile FILLBOX.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILLBOX.C  -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\FILLBOX.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile BLIT.C
ECHO ----- F20M\JDM.EXP Compile BLIT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLIT.C     -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\BLIT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile FLIPHORI.C
ECHO ----- F20M\JDM.EXP Compile FLIPHORI.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLIPHORI.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\FLIPHORI.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile FLIPVERT.C
ECHO ----- F20M\JDM.EXP Compile FLIPVERT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLIPVERT.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\FLIPVERT.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile BLTSHRNK.C
ECHO ----- F20M\JDM.EXP Compile BLTSHRNK.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLTSHRNK.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\BLTSHRNK.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile DRAWVIEW.C
ECHO ----- F20M\JDM.EXP Compile DRAWVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DRAWVIEW.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\DRAWVIEW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile STRING.C
ECHO ----- F20M\JDM.EXP Compile STRING.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STRING.C   -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\STRING.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile BLITMASK.C
ECHO ----- F20M\JDM.EXP Compile BLITMASK.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLITMASK.C -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\BLITMASK.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile SWSH.C
ECHO ----- F20M\JDM.EXP Compile SWSH.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\SWSH.C     -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\SWSH.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Compile MUSIC.C
ECHO ----- F20M\JDM.EXP Compile MUSIC.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MUSIC.C    -def "EXEID 58" -object \OBJECT\F20M\JDM.EXP\MUSIC.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F20M\JDM.EXP Link
ECHO ----- F20M\JDM.EXP Link>>\BUILD\MKFF.LOG
RUN386 -nocrt 386LINKP @\SOURCE\JDM.LNK >>\BUILD\MKFF.LOG

:EXEID60
IF NOT EXIST \SOURCE\EXEID60.TXT GOTO EXEID61
ECHO ----------------------------------------------------------------------
ECHO - Build executable F31M\CHTWE.EXP
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO - Build executable F31M\CHTWE.EXP>>\BUILD\MKFF.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile GAMELOOP.C
ECHO ----- F31M\CHTWE.EXP Compile GAMELOOP.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\GAMELOOP.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\GAMELOOP.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile PROJEXPL.C
ECHO ----- F31M\CHTWE.EXP Compile PROJEXPL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\PROJEXPL.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\PROJEXPL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile DIALOG.C
ECHO ----- F31M\CHTWE.EXP Compile DIALOG.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DIALOG.C   -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\DIALOG.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile DUNGEON.C
ECHO ----- F31M\CHTWE.EXP Compile DUNGEON.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DUNGEON.C  -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\DUNGEON.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile MENUDRAW.C
ECHO ----- F31M\CHTWE.EXP Compile MENUDRAW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MENUDRAW.C   -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\MENUDRAW.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile ENDGAME.C
ECHO ----- F31M\CHTWE.EXP Compile ENDGAME.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ENDGAME.C  -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\ENDGAME.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile COMMAND.C
ECHO ----- F31M\CHTWE.EXP Compile COMMAND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COMMAND.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\COMMAND.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile GROUP.C
ECHO ----- F31M\CHTWE.EXP Compile GROUP.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\GROUP.C    -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\GROUP.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile MEMORY.C
ECHO ----- F31M\CHTWE.EXP Compile MEMORY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MEMORY.C   -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\MEMORY.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile LOADSAVE.C
ECHO ----- F31M\CHTWE.EXP Compile LOADSAVE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\LOADSAVE.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\LOADSAVE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile OBJECT.C
ECHO ----- F31M\CHTWE.EXP Compile OBJECT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\OBJECT.C   -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\OBJECT.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile ENTRANCE.C
ECHO ----- F31M\CHTWE.EXP Compile ENTRANCE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ENTRANCE.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\ENTRANCE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile MENU.C
ECHO ----- F31M\CHTWE.EXP Compile MENU.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MENU.C   -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\MENU.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile IO.C
ECHO ----- F31M\CHTWE.EXP Compile IO.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IO.C       -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\IO.OBJ       >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile CHAMPION.C
ECHO ----- F31M\CHTWE.EXP Compile CHAMPION.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CHAMPION.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\CHAMPION.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile DUNVIEW.C
ECHO ----- F31M\CHTWE.EXP Compile DUNVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DUNVIEW.C  -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\DUNVIEW.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile CHAMDRAW.C
ECHO ----- F31M\CHTWE.EXP Compile CHAMDRAW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CHAMDRAW.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\CHAMDRAW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile REVIVE.C
ECHO ----- F31M\CHTWE.EXP Compile REVIVE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\REVIVE.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\REVIVE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile MOVESENS.C
ECHO ----- F31M\CHTWE.EXP Compile MOVESENS.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MOVESENS.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\MOVESENS.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile COORD.C
ECHO ----- F31M\CHTWE.EXP Compile COORD.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COORD.C    -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\COORD.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile SOUND.C
ECHO ----- F31M\CHTWE.EXP Compile SOUND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\SOUND.C    -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\SOUND.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile STARTUP1.C
ECHO ----- F31M\CHTWE.EXP Compile STARTUP1.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STARTUP1.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\STARTUP1.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile STARTUP2.C
ECHO ----- F31M\CHTWE.EXP Compile STARTUP2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STARTUP2.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\STARTUP2.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile DATA.C
ECHO ----- F31M\CHTWE.EXP Compile DATA.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DATA.C     -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\DATA.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile FILE.C
ECHO ----- F31M\CHTWE.EXP Compile FILE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILE.C     -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\FILE.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile IO2.C
ECHO ----- F31M\CHTWE.EXP Compile IO2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IO2.C      -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\IO2.OBJ      >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile FLOPPY.C
ECHO ----- F31M\CHTWE.EXP Compile FLOPPY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLOPPY.C  -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\FLOPPY.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile FONT.C
ECHO ----- F31M\CHTWE.EXP Compile FONT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FONT.C     -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\FONT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile TEXT.C
ECHO ----- F31M\CHTWE.EXP Compile TEXT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TEXT.C     -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\TEXT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile TIMELINE.C
ECHO ----- F31M\CHTWE.EXP Compile TIMELINE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TIMELINE.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\TIMELINE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile BASE.C
ECHO ----- F31M\CHTWE.EXP Compile BASE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BASE.C     -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\BASE.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile PANEL.C
ECHO ----- F31M\CHTWE.EXP Compile PANEL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\PANEL.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\PANEL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile CLIKVIEW.C
ECHO ----- F31M\CHTWE.EXP Compile CLIKVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CLIKVIEW.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\CLIKVIEW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile CLIKMENU.C
ECHO ----- F31M\CHTWE.EXP Compile CLIKMENU.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CLIKMENU.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\CLIKMENU.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile BLITFILL.C
ECHO ----- F31M\CHTWE.EXP Compile BLITFILL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLITFILL.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\BLITFILL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile IMAGE2.C
ECHO ----- F31M\CHTWE.EXP Compile IMAGE2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IMAGE2.C   -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\IMAGE2.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile FILLBOX.C
ECHO ----- F31M\CHTWE.EXP Compile FILLBOX.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILLBOX.C  -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\FILLBOX.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile BLIT.C
ECHO ----- F31M\CHTWE.EXP Compile BLIT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLIT.C     -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\BLIT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile FLIPHORI.C
ECHO ----- F31M\CHTWE.EXP Compile FLIPHORI.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLIPHORI.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\FLIPHORI.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile FLIPVERT.C
ECHO ----- F31M\CHTWE.EXP Compile FLIPVERT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLIPVERT.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\FLIPVERT.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile BLTSHRNK.C
ECHO ----- F31M\CHTWE.EXP Compile BLTSHRNK.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLTSHRNK.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\BLTSHRNK.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile DRAWVIEW.C
ECHO ----- F31M\CHTWE.EXP Compile DRAWVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DRAWVIEW.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\DRAWVIEW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile STRING.C
ECHO ----- F31M\CHTWE.EXP Compile STRING.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STRING.C   -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\STRING.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile BLITMASK.C
ECHO ----- F31M\CHTWE.EXP Compile BLITMASK.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLITMASK.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\BLITMASK.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile MUSIC.C
ECHO ----- F31M\CHTWE.EXP Compile MUSIC.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MUSIC.C    -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\MUSIC.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Compile ANIM.C
ECHO ----- F31M\CHTWE.EXP Compile ANIM.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ANIM.C -def "EXEID 60" -object \OBJECT\F31M\CHTWE.EXP\ANIM.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWE.EXP Link
ECHO ----- F31M\CHTWE.EXP Link>>\BUILD\MKFF.LOG
RUN386 -nocrt 386LINKP @\SOURCE\CHTWE.LNK >>\BUILD\MKFF.LOG

:EXEID61
IF NOT EXIST \SOURCE\EXEID61.TXT GOTO EXEID63
ECHO ----------------------------------------------------------------------
ECHO - Build executable F31M\CHTWJ.EXP
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO - Build executable F31M\CHTWJ.EXP>>\BUILD\MKFF.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile GAMELOOP.C
ECHO ----- F31M\CHTWJ.EXP Compile GAMELOOP.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\GAMELOOP.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\GAMELOOP.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile PROJEXPL.C
ECHO ----- F31M\CHTWJ.EXP Compile PROJEXPL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\PROJEXPL.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\PROJEXPL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile DIALOG.C
ECHO ----- F31M\CHTWJ.EXP Compile DIALOG.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DIALOG.C   -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\DIALOG.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile DUNGEON.C
ECHO ----- F31M\CHTWJ.EXP Compile DUNGEON.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DUNGEON.C  -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\DUNGEON.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile MENUDRAW.C
ECHO ----- F31M\CHTWJ.EXP Compile MENUDRAW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MENUDRAW.C   -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\MENUDRAW.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile ENDGAME.C
ECHO ----- F31M\CHTWJ.EXP Compile ENDGAME.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ENDGAME.C  -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\ENDGAME.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile COMMAND.C
ECHO ----- F31M\CHTWJ.EXP Compile COMMAND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COMMAND.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\COMMAND.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile GROUP.C
ECHO ----- F31M\CHTWJ.EXP Compile GROUP.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\GROUP.C    -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\GROUP.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile MEMORY.C
ECHO ----- F31M\CHTWJ.EXP Compile MEMORY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MEMORY.C   -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\MEMORY.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile LOADSAVE.C
ECHO ----- F31M\CHTWJ.EXP Compile LOADSAVE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\LOADSAVE.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\LOADSAVE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile OBJECT.C
ECHO ----- F31M\CHTWJ.EXP Compile OBJECT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\OBJECT.C   -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\OBJECT.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile ENTRANCE.C
ECHO ----- F31M\CHTWJ.EXP Compile ENTRANCE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ENTRANCE.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\ENTRANCE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile MENU.C
ECHO ----- F31M\CHTWJ.EXP Compile MENU.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MENU.C   -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\MENU.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile IO.C
ECHO ----- F31M\CHTWJ.EXP Compile IO.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IO.C       -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\IO.OBJ       >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile CHAMPION.C
ECHO ----- F31M\CHTWJ.EXP Compile CHAMPION.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CHAMPION.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\CHAMPION.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile DUNVIEW.C
ECHO ----- F31M\CHTWJ.EXP Compile DUNVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DUNVIEW.C  -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\DUNVIEW.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile CHAMDRAW.C
ECHO ----- F31M\CHTWJ.EXP Compile CHAMDRAW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CHAMDRAW.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\CHAMDRAW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile REVIVE.C
ECHO ----- F31M\CHTWJ.EXP Compile REVIVE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\REVIVE.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\REVIVE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile MOVESENS.C
ECHO ----- F31M\CHTWJ.EXP Compile MOVESENS.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MOVESENS.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\MOVESENS.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile COORD.C
ECHO ----- F31M\CHTWJ.EXP Compile COORD.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COORD.C    -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\COORD.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile SOUND.C
ECHO ----- F31M\CHTWJ.EXP Compile SOUND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\SOUND.C    -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\SOUND.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile STARTUP1.C
ECHO ----- F31M\CHTWJ.EXP Compile STARTUP1.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STARTUP1.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\STARTUP1.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile STARTUP2.C
ECHO ----- F31M\CHTWJ.EXP Compile STARTUP2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STARTUP2.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\STARTUP2.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile DATA.C
ECHO ----- F31M\CHTWJ.EXP Compile DATA.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DATA.C     -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\DATA.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile FILE.C
ECHO ----- F31M\CHTWJ.EXP Compile FILE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILE.C     -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\FILE.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile IO2.C
ECHO ----- F31M\CHTWJ.EXP Compile IO2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IO2.C      -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\IO2.OBJ      >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile FLOPPY.C
ECHO ----- F31M\CHTWJ.EXP Compile FLOPPY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLOPPY.C  -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\FLOPPY.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile FONT.C
ECHO ----- F31M\CHTWJ.EXP Compile FONT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FONT.C     -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\FONT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile TEXT.C
ECHO ----- F31M\CHTWJ.EXP Compile TEXT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TEXT.C     -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\TEXT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile TIMELINE.C
ECHO ----- F31M\CHTWJ.EXP Compile TIMELINE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TIMELINE.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\TIMELINE.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile BASE.C
ECHO ----- F31M\CHTWJ.EXP Compile BASE.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BASE.C     -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\BASE.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile PANEL.C
ECHO ----- F31M\CHTWJ.EXP Compile PANEL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\PANEL.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\PANEL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile CLIKVIEW.C
ECHO ----- F31M\CHTWJ.EXP Compile CLIKVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CLIKVIEW.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\CLIKVIEW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile CLIKMENU.C
ECHO ----- F31M\CHTWJ.EXP Compile CLIKMENU.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CLIKMENU.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\CLIKMENU.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile BLITFILL.C
ECHO ----- F31M\CHTWJ.EXP Compile BLITFILL.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLITFILL.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\BLITFILL.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile IMAGE2.C
ECHO ----- F31M\CHTWJ.EXP Compile IMAGE2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IMAGE2.C   -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\IMAGE2.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile FILLBOX.C
ECHO ----- F31M\CHTWJ.EXP Compile FILLBOX.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILLBOX.C  -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\FILLBOX.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile BLIT.C
ECHO ----- F31M\CHTWJ.EXP Compile BLIT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLIT.C     -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\BLIT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile FLIPHORI.C
ECHO ----- F31M\CHTWJ.EXP Compile FLIPHORI.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLIPHORI.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\FLIPHORI.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile FLIPVERT.C
ECHO ----- F31M\CHTWJ.EXP Compile FLIPVERT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FLIPVERT.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\FLIPVERT.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile BLTSHRNK.C
ECHO ----- F31M\CHTWJ.EXP Compile BLTSHRNK.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLTSHRNK.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\BLTSHRNK.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile DRAWVIEW.C
ECHO ----- F31M\CHTWJ.EXP Compile DRAWVIEW.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\DRAWVIEW.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\DRAWVIEW.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile STRING.C
ECHO ----- F31M\CHTWJ.EXP Compile STRING.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STRING.C   -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\STRING.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile BLITMASK.C
ECHO ----- F31M\CHTWJ.EXP Compile BLITMASK.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLITMASK.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\BLITMASK.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile MUSIC.C
ECHO ----- F31M\CHTWJ.EXP Compile MUSIC.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MUSIC.C    -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\MUSIC.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Compile ANIM.C
ECHO ----- F31M\CHTWJ.EXP Compile ANIM.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ANIM.C -def "EXEID 61" -object \OBJECT\F31M\CHTWJ.EXP\ANIM.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\CHTWJ.EXP Link
ECHO ----- F31M\CHTWJ.EXP Link>>\BUILD\MKFF.LOG
RUN386 -nocrt 386LINKP @\SOURCE\CHTWJ.LNK >>\BUILD\MKFF.LOG

:EXEID63
IF NOT EXIST \SOURCE\EXEID63.TXT GOTO EXEID64
ECHO ----------------------------------------------------------------------
ECHO - Build executable F31M\UTILE.EXP
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO - Build executable F31M\UTILE.EXP>>\BUILD\MKFF.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT001.C
ECHO ----- F31M\UTILE.EXP Compile CEDT001.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT001.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT001.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT002.C
ECHO ----- F31M\UTILE.EXP Compile CEDT002.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT002.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT002.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile COMMAND.C
ECHO ----- F31M\UTILE.EXP Compile COMMAND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COMMAND.C    -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\COMMAND.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT004.C
ECHO ----- F31M\UTILE.EXP Compile CEDT004.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT004.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT004.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT005.C
ECHO ----- F31M\UTILE.EXP Compile CEDT005.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT005.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT005.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT006.C
ECHO ----- F31M\UTILE.EXP Compile CEDT006.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT006.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT006.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT007.C
ECHO ----- F31M\UTILE.EXP Compile CEDT007.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT007.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT007.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT008.C
ECHO ----- F31M\UTILE.EXP Compile CEDT008.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT008.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT008.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile STRING.C
ECHO ----- F31M\UTILE.EXP Compile STRING.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STRING.C -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\STRING.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT010.C
ECHO ----- F31M\UTILE.EXP Compile CEDT010.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT010.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT010.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT011.C
ECHO ----- F31M\UTILE.EXP Compile CEDT011.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT011.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT011.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT012.C
ECHO ----- F31M\UTILE.EXP Compile CEDT012.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT012.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT012.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT013.C
ECHO ----- F31M\UTILE.EXP Compile CEDT013.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT013.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT013.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT014.C
ECHO ----- F31M\UTILE.EXP Compile CEDT014.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT014.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT014.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile UTMEMORY.C
ECHO ----- F31M\UTILE.EXP Compile UTMEMORY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\UTMEMORY.C    -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\UTMEMORY.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT016.C
ECHO ----- F31M\UTILE.EXP Compile CEDT016.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT016.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT016.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDTDATA.C
ECHO ----- F31M\UTILE.EXP Compile CEDTDATA.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDTDATA.C -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDTDATA.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT017.C
ECHO ----- F31M\UTILE.EXP Compile CEDT017.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT017.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT017.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT018.C
ECHO ----- F31M\UTILE.EXP Compile CEDT018.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT018.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT018.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT019.C
ECHO ----- F31M\UTILE.EXP Compile CEDT019.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT019.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT019.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT020.C
ECHO ----- F31M\UTILE.EXP Compile CEDT020.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT020.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT020.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT021.C
ECHO ----- F31M\UTILE.EXP Compile CEDT021.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT021.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT021.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT022.C
ECHO ----- F31M\UTILE.EXP Compile CEDT022.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT022.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT022.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT023.C
ECHO ----- F31M\UTILE.EXP Compile CEDT023.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT023.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT023.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CPCLRBYT.C
ECHO ----- F31M\UTILE.EXP Compile CPCLRBYT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CPCLRBYT.C -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CPCLRBYT.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT025.C
ECHO ----- F31M\UTILE.EXP Compile CEDT025.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT025.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT025.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT028.C
ECHO ----- F31M\UTILE.EXP Compile CEDT028.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT028.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT028.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT029.C
ECHO ----- F31M\UTILE.EXP Compile CEDT029.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT029.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT029.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT026.C
ECHO ----- F31M\UTILE.EXP Compile CEDT026.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT026.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT026.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDTFNT.C
ECHO ----- F31M\UTILE.EXP Compile CEDTFNT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDTFNT.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDTFNT.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDTTXT.C
ECHO ----- F31M\UTILE.EXP Compile CEDTTXT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDTTXT.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDTTXT.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT030.C
ECHO ----- F31M\UTILE.EXP Compile CEDT030.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT030.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT030.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile CEDT027.C
ECHO ----- F31M\UTILE.EXP Compile CEDT027.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT027.C  -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\CEDT027.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Compile IMAGE2.C
ECHO ----- F31M\UTILE.EXP Compile IMAGE2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IMAGE2.C   -def "EXEID 63" -object \OBJECT\F31M\UTILE.EXP\IMAGE2.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILE.EXP Link
ECHO ----- F31M\UTILE.EXP Link>>\BUILD\MKFF.LOG
RUN386 -nocrt 386LINKP @\SOURCE\UTILE.LNK >>\BUILD\MKFF.LOG

:EXEID64
IF NOT EXIST \SOURCE\EXEID64.TXT GOTO EXEID59
ECHO ----------------------------------------------------------------------
ECHO - Build executable F31M\UTILJ.EXP
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO - Build executable F31M\UTILJ.EXP>>\BUILD\MKFF.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT001.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT001.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT001.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT001.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT002.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT002.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT002.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT002.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile COMMAND.C
ECHO ----- F31M\UTILJ.EXP Compile COMMAND.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\COMMAND.C    -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\COMMAND.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT004.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT004.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT004.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT004.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT005.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT005.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT005.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT005.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT006.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT006.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT006.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT006.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT007.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT007.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT007.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT007.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT008.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT008.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT008.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT008.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile STRING.C
ECHO ----- F31M\UTILJ.EXP Compile STRING.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\STRING.C -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\STRING.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT010.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT010.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT010.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT010.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT011.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT011.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT011.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT011.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT012.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT012.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT012.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT012.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT013.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT013.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT013.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT013.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT014.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT014.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT014.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT014.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile UTMEMORY.C
ECHO ----- F31M\UTILJ.EXP Compile UTMEMORY.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\UTMEMORY.C    -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\UTMEMORY.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT016.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT016.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT016.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT016.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDTDATA.C
ECHO ----- F31M\UTILJ.EXP Compile CEDTDATA.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDTDATA.C -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDTDATA.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT017.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT017.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT017.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT017.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT018.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT018.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT018.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT018.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT019.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT019.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT019.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT019.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT020.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT020.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT020.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT020.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT021.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT021.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT021.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT021.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT022.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT022.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT022.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT022.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT023.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT023.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT023.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT023.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CPCLRBYT.C
ECHO ----- F31M\UTILJ.EXP Compile CPCLRBYT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CPCLRBYT.C -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CPCLRBYT.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT025.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT025.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT025.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT025.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT028.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT028.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT028.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT028.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT029.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT029.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT029.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT029.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT026.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT026.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT026.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT026.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDTFNT.C
ECHO ----- F31M\UTILJ.EXP Compile CEDTFNT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDTFNT.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDTFNT.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDTTXT.C
ECHO ----- F31M\UTILJ.EXP Compile CEDTTXT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDTTXT.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDTTXT.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT030.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT030.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT030.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT030.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile CEDT027.C
ECHO ----- F31M\UTILJ.EXP Compile CEDT027.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT027.C  -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\CEDT027.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Compile IMAGE2.C
ECHO ----- F31M\UTILJ.EXP Compile IMAGE2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IMAGE2.C   -def "EXEID 64" -object \OBJECT\F31M\UTILJ.EXP\IMAGE2.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\UTILJ.EXP Link
ECHO ----- F31M\UTILJ.EXP Link>>\BUILD\MKFF.LOG
RUN386 -nocrt 386LINKP @\SOURCE\UTILJ.LNK >>\BUILD\MKFF.LOG

:EXEID59
IF NOT EXIST \SOURCE\EXEID59.TXT GOTO EXEID62
ECHO ----------------------------------------------------------------------
ECHO - Build executable F31M\ANIMTW.EXP
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO - Build executable F31M\ANIMTW.EXP>>\BUILD\MKFF.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Compile ANIM.C
ECHO ----- F31M\ANIMTW.EXP Compile ANIM.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ANIM.C -def "EXEID 59" -object \OBJECT\F31M\ANIMTW.EXP\ANIM.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Compile TOWNSSCR.C
ECHO ----- F31M\ANIMTW.EXP Compile TOWNSSCR.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TOWNSSCR.C -def "EXEID 59" -object \OBJECT\F31M\ANIMTW.EXP\TOWNSSCR.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Compile FILLBOX.C
ECHO ----- F31M\ANIMTW.EXP Compile FILLBOX.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILLBOX.C  -def "EXEID 59" -object \OBJECT\F31M\ANIMTW.EXP\FILLBOX.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Compile BLIT.C
ECHO ----- F31M\ANIMTW.EXP Compile BLIT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLIT.C     -def "EXEID 59" -object \OBJECT\F31M\ANIMTW.EXP\BLIT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Compile ANIMTOWN.C
ECHO ----- F31M\ANIMTW.EXP Compile ANIMTOWN.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\ANIMTOWN.C  -def "EXEID 59" -object \OBJECT\F31M\ANIMTW.EXP\ANIMTOWN.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Compile SWSH.C
ECHO ----- F31M\ANIMTW.EXP Compile SWSH.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\SWSH.C     -def "EXEID 59" -object \OBJECT\F31M\ANIMTW.EXP\SWSH.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Compile IMAGE2.C
ECHO ----- F31M\ANIMTW.EXP Compile IMAGE2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IMAGE2.C   -def "EXEID 59" -object \OBJECT\F31M\ANIMTW.EXP\IMAGE2.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Compile MUSIC.C
ECHO ----- F31M\ANIMTW.EXP Compile MUSIC.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\MUSIC.C    -def "EXEID 59" -object \OBJECT\F31M\ANIMTW.EXP\MUSIC.OBJ    >>\BUILD\MKFF.LOG
ECHO ----- F31M\ANIMTW.EXP Link
ECHO ----- F31M\ANIMTW.EXP Link>>\BUILD\MKFF.LOG
RUN386 -nocrt 386LINKP @\SOURCE\ANIMTW.LNK >>\BUILD\MKFF.LOG

:EXEID62
IF NOT EXIST \SOURCE\EXEID62.TXT GOTO END
ECHO ----------------------------------------------------------------------
ECHO - Build executable F31M\SWITCHTW.EXP
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO - Build executable F31M\SWITCHTW.EXP>>\BUILD\MKFF.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKFF.LOG
ECHO ----- F31M\SWITCHTW.EXP Compile IMAGE2.C
ECHO ----- F31M\SWITCHTW.EXP Compile IMAGE2.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\IMAGE2.C   -def "EXEID 62" -object \OBJECT\F31M\SWITCHTW.EXP\IMAGE2.OBJ   >>\BUILD\MKFF.LOG
ECHO ----- F31M\SWITCHTW.EXP Compile BLIT.C
ECHO ----- F31M\SWITCHTW.EXP Compile BLIT.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\BLIT.C     -def "EXEID 62" -object \OBJECT\F31M\SWITCHTW.EXP\BLIT.OBJ     >>\BUILD\MKFF.LOG
ECHO ----- F31M\SWITCHTW.EXP Compile FILLBOX.C
ECHO ----- F31M\SWITCHTW.EXP Compile FILLBOX.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\FILLBOX.C  -def "EXEID 62" -object \OBJECT\F31M\SWITCHTW.EXP\FILLBOX.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\SWITCHTW.EXP Compile TOWNSSCR.C
ECHO ----- F31M\SWITCHTW.EXP Compile TOWNSSCR.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\TOWNSSCR.C -def "EXEID 62" -object \OBJECT\F31M\SWITCHTW.EXP\TOWNSSCR.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\SWITCHTW.EXP Compile SWITCH.C
ECHO ----- F31M\SWITCHTW.EXP Compile SWITCH.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\SWITCH.C -def "EXEID 62" -object \OBJECT\F31M\SWITCHTW.EXP\SWITCH.OBJ >>\BUILD\MKFF.LOG
ECHO ----- F31M\SWITCHTW.EXP Compile CEDT026.C
ECHO ----- F31M\SWITCHTW.EXP Compile CEDT026.C>>\BUILD\MKFF.LOG
RUN386 -nocrt HCD386P \SOURCE\CEDT026.C  -def "EXEID 62" -object \OBJECT\F31M\SWITCHTW.EXP\CEDT026.OBJ  >>\BUILD\MKFF.LOG
ECHO ----- F31M\SWITCHTW.EXP Link
ECHO ----- F31M\SWITCHTW.EXP Link>>\BUILD\MKFF.LOG
RUN386 -nocrt 386LINKP @\SOURCE\SWITCHTW.LNK >>\BUILD\MKFF.LOG

:END
ECHO +====================================================================+
ECHO + Build complete                                                     +
ECHO +====================================================================+
ECHO +====================================================================+>>\BUILD\MKFF.LOG
ECHO + Build complete                                                     +>>\BUILD\MKFF.LOG
ECHO +====================================================================+>>\BUILD\MKFF.LOG
